/* This program is free software. It comes without any warranty, to
 * the extent permitted by applicable law. You can redistribute it
 * and/or modify it under the terms of the Do What The Fuck You Want
 * To Public License, Version 2, as published by Sam Hocevar. See
 * http://www.wtfpl.net/ for more details. */
library loadjs;

import "dart:async";
import "dart:html";
import "package:js/js.dart" as js;

Future loadJS(List<String> src){
  List<Future> futures = [];

  Function loadFile = (String filePath){
    ScriptElement script = new ScriptElement();
    script.type = "application/javascript";
    script.src = filePath;
    document.head.append(script);
    futures.add(script.onLoad.first);
  };

  loadFile("packages/browser/interop.js");
  for(String s in src){
    loadFile(s);
  }
  return Future.wait(futures).then((list){
    print("${list.length-1} JS lib(s) loaded !");
    return js.context;
  });
}